<script setup lang="ts">
import { ref, onMounted, onUnmounted, reactive, toRefs, computed } from "vue";
import VersionTreeIndex from './versionTree/index.vue'
//const props = defineProps({
//})
//const emit = defineEmits([
//])
let data = reactive({
})
const versionTreeData = ref({
	drawer:false,
	list:computed(()=>{
		return []
	})
})
onMounted(()=>{
})
onUnmounted(()=>{
})
defineExpose({})
const {} = toRefs(data);
</script>
<template>
	<div class="homeNavBox">
		<el-button type="primary" @click="versionTreeData.drawer = true">open Version Tree</el-button>
		<VersionTreeIndex v-model:versionTreeData="versionTreeData" />
	</div>
</template>
<style lang="less" scoped>
	.homeNavBox{
		width: 100%;
		height: 100%;
		position: relative;
	}
</style>